- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QProgressBar Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qprogressbar.h.

`#include <qprogressbar.h>`

Inheritance diagram for QProgressBar:
[legend]

List of all members.

## Public Types
enum | Direction { TopToBottom, BottomToTop }
## Public Slots
void | reset ()
void | setRange (int minimum, int maximum)
void | setMinimum (int minimum)
void | setMaximum (int maximum)
void | setValue (int value)
void | setOrientation (Qt::Orientation)
## Signals
void | valueChanged (int value)
## Public Member Functions
| QProgressBar (QWidget *parent=0)
int | minimum () const
int | maximum () const
int | value () const
virtual QString | text () const
void | setTextVisible (bool visible)
bool | isTextVisible () const
Qt::Alignment | alignment () const
void | setAlignment (Qt::Alignment alignment)
QSize | sizeHint () const
QSize | minimumSizeHint () const
Qt::Orientation | orientation () const
void | setInvertedAppearance (bool invert)
bool | invertedAppearance ()
bool | invertedAppearance () const
void | setTextDirection (QProgressBar::Direction textDirection)
QProgressBar::Direction | textDirection ()
QProgressBar::Direction | textDirection () const
void | setFormat (const QString &format)
QString | format () const
## Protected Member Functions
bool | event (QEvent *e)
void | paintEvent (QPaintEvent *)
void | initStyleOption (QStyleOptionProgressBar *option) const
## Properties
int | minimum
int | maximum
QString | text
int | value
Qt::Alignment | alignment
bool | textVisible
Qt::Orientation | orientation
bool | invertedAppearance
Direction | textDirection
QString | format

## Member Enumeration Documentation

enum Direction

Search for all occurrences

Enumerator:

  TopToBottom | Search for all occurrences
  BottomToTop | Search for all occurrences

Definition at line 74 of file qprogressbar.h.

    { TopToBottom, BottomToTop };

## Constructor & Destructor Documentation

QProgressBar | ( | QWidget * | parent = `0` | ) | `[explicit]`

## Member Function Documentation

int minimum | ( |  | ) | const

Search for all occurrences

int maximum | ( |  | ) | const

Search for all occurrences

int value | ( |  | ) | const

Search for all occurrences

virtual QString text | ( |  | ) | const `[virtual]`

Search for all occurrences

void setTextVisible | ( | bool | visible | ) |

Search for all occurrences

bool isTextVisible | ( |  | ) | const

Search for all occurrences

Qt::Alignment alignment | ( |  | ) | const

Search for all occurrences

void setAlignment | ( | Qt::Alignment | alignment | ) |

Search for all occurrences

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

QSize minimumSizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

Qt::Orientation orientation | ( |  | ) | const

Search for all occurrences

void setInvertedAppearance | ( | bool | invert | ) |

Search for all occurrences

bool invertedAppearance | ( |  | ) |

Search for all occurrences

bool invertedAppearance | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 97 of file qprogressbar.h.

    { return const_cast<QProgressBar *>(this)->invertedAppearance(); }

void setTextDirection | ( | QProgressBar::Direction | textDirection | ) |

Search for all occurrences

QProgressBar::Direction textDirection | ( |  | ) |

Search for all occurrences

QProgressBar::Direction textDirection | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 100 of file qprogressbar.h.

    { return const_cast<QProgressBar *>(this)->textDirection(); }

void setFormat | ( | const QString & | format | ) |

Search for all occurrences

QString format | ( |  | ) | const

Search for all occurrences

void reset | ( |  | ) | `[slot]`

Search for all occurrences

void setRange | ( | int | minimum,
|  | int | maximum
| ) |  | `[slot]`

Search for all occurrences

void setMinimum | ( | int | minimum | ) | `[slot]`

Search for all occurrences

void setMaximum | ( | int | maximum | ) | `[slot]`

Search for all occurrences

void setValue | ( | int | value | ) | `[slot]`

Search for all occurrences

void setOrientation | ( | Qt::Orientation |  | ) | `[slot]`

Search for all occurrences

void valueChanged | ( | int | value | ) | `[signal]`

Search for all occurrences

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void initStyleOption | ( | QStyleOptionProgressBar * | option | ) | const `[protected]`

Search for all occurrences

## Property Documentation

int minimum `[read, write]`

Search for all occurrences

Definition at line 62 of file qprogressbar.h.

int maximum `[read, write]`

Search for all occurrences

Definition at line 63 of file qprogressbar.h.

QString text `[read]`

Search for all occurrences

Definition at line 64 of file qprogressbar.h.

int value `[read, write]`

Search for all occurrences

Definition at line 65 of file qprogressbar.h.

Qt::Alignment alignment `[read, write]`

Search for all occurrences

Definition at line 66 of file qprogressbar.h.

bool textVisible `[read, write]`

Search for all occurrences

Definition at line 67 of file qprogressbar.h.

Qt::Orientation orientation `[read, write]`

Search for all occurrences

Definition at line 68 of file qprogressbar.h.

bool invertedAppearance `[read, write]`

Search for all occurrences

Definition at line 69 of file qprogressbar.h.

Direction textDirection `[read, write]`

Search for all occurrences

Definition at line 70 of file qprogressbar.h.

QString format `[read, write]`

Search for all occurrences

Definition at line 71 of file qprogressbar.h.

The documentation for this class was generated from the following file:

- QtGui/qprogressbar.h

QProgressBar QProgressBar QProgressBar QProgressBar QProgressBar QProgressBar QProgressBar QProgressBar QProgressBar QProgressBar
QProgressBar QProgressBar QProgressBar QProgressBar QProgressBar QProgressBar QProgressBar QProgressBar QProgressBar QProgressBar